<?php

require_once __DIR__.'/vendor/autoload.php';
require_once __DIR__.'/config.php';
use PhpAmqpLib\Connection\AMQPSSLConnection;
use Bernard\QueueFactory;
use Bernard\QueueFactory\PersistentFactory;
use Bernard\Serializer;
use Bernard\Driver\PhpAmqpDriver;
use Symfony\Component\EventDispatcher\EventDispatcher;
// Consumer
use Bernard\Consumer;
use Bernard\Command\ConsumeCommand;
use Bernard\Router\SimpleRouter;

class testhandler {
  public static function testMessage() {
    echo 'Found A Message...';
  }
}

$connection = new AMQPSSLConnection($host, $port, $username, $password, $vhost);

$driver = new PhpAmqpDriver($connection, 'amq.direct');
$router = new SimpleRouter([
  'TestMessage' => new testhandler(),
]);

$eventDispatcher = new EventDispatcher();
$serializer = new Serializer();

$queueFactory = new QueueFactory\PersistentFactory($driver, $serializer);
$consumer = new Consumer($router, $eventDispatcher);

$consumer->consume($queueFactory->create('TestQueue'), array(
  'max-runtime' => 60,
));
